OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.TransformFeedback2

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVTransformFeedback2 :: MonadIO m => m Bool
- gl_NV_transform_feedback2 :: Bool
- gl_TRANSFORM_FEEDBACK_BINDING_NV :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_ACTIVE_NV :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_PAUSED_NV :: GLenum
- gl_TRANSFORM_FEEDBACK_NV :: GLenum
- glBindTransformFeedbackNV :: MonadIO m => GLenum -> GLuint -> m ()
- glDeleteTransformFeedbacksNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDrawTransformFeedbackNV :: MonadIO m => GLenum -> GLuint -> m ()
- glGenTransformFeedbacksNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glIsTransformFeedbackNV :: MonadIO m => GLuint -> m GLboolean
- glPauseTransformFeedbackNV :: MonadIO m => m ()
- glResumeTransformFeedbackNV :: MonadIO m => m ()

# Extension Support

glGetNVTransformFeedback2 :: MonadIO m => m Bool

Is the NV_transform_feedback2 extension supported?

gl_NV_transform_feedback2 :: Bool

Is the NV_transform_feedback2 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVTransformFeedback2` in those cases instead.

# Enums

gl_TRANSFORM_FEEDBACK_BINDING_NV :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_ACTIVE_NV :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_PAUSED_NV :: GLenum

gl_TRANSFORM_FEEDBACK_NV :: GLenum

# Functions

glBindTransformFeedbackNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `BufferTargetARB`.
-> GLuint | `id`.
-> m () |

glDeleteTransformFeedbacksNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glDeleteTransformFeedbacks`.

glDrawTransformFeedbackNV

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `id`.
-> m () |

This command is an alias for `glDrawTransformFeedback`.

glGenTransformFeedbacksNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glGenTransformFeedbacks`.

glIsTransformFeedbackNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m GLboolean | of type Boolean.

This command is an alias for `glIsTransformFeedback`.

glPauseTransformFeedbackNV :: MonadIO m => m ()

This command is an alias for `glPauseTransformFeedback`.

glResumeTransformFeedbackNV :: MonadIO m => m ()

This command is an alias for `glResumeTransformFeedback`.